RDKit: ForceFields::MMFF::TorsionAngleContrib Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ForceFields::MMFF::TorsionAngleContrib Class Reference

the torsion term for MMFF More...

`#include <TorsionAngle.h>`

Inheritance diagram for ForceFields::MMFF::TorsionAngleContrib:

## Public Member Functions
| TorsionAngleContrib ()
| TorsionAngleContrib (ForceField *owner, unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, const MMFFTor *mmffTorParams)
| Constructor. More...
double | getEnergy (double *pos) const
| returns our contribution to the energy of a position More...
void | getGrad (double *pos, double *grad) const
| calculates our contribution to the gradients of a position More...
virtual TorsionAngleContrib * | copy () const
| return a copy More...
Public Member Functions inherited from ForceFields::ForceFieldContrib
| ForceFieldContrib ()
| ForceFieldContrib (ForceFields::ForceField *owner)
virtual | ~ForceFieldContrib ()

## Additional Inherited Members
Protected Attributes inherited from ForceFields::ForceFieldContrib
ForceField * | dp_forceField
| our owning ForceField More...

## Detailed Description

the torsion term for MMFF

Definition at line 27 of file MMFF/TorsionAngle.h.

## Constructor & Destructor Documentation

ForceFields::MMFF::TorsionAngleContrib::TorsionAngleContrib | ( |  | ) |
| inline

Definition at line 29 of file MMFF/TorsionAngle.h.

ForceFields::MMFF::TorsionAngleContrib::TorsionAngleContrib | ( | ForceField * | owner,
|  | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | const MMFFTor * | mmffTorParams
| ) |  |

Constructor.

The torsion is between atom1 - atom2 - atom3 - atom4 (i.e the angle between bond atom1-atom2 and bond atom3-atom4 while looking down bond atom2-atom3)

Parameters

  owner | pointer to the owning ForceField
  idx1 | index of atom1 in the ForceField's positions
  idx2 | index of atom2 in the ForceField's positions
  idx3 | index of atom3 in the ForceField's positions
  idx4 | index of atom4 in the ForceField's positions
  torsionType | MMFF type of the torsional bond between atoms 2 and 3

## Member Function Documentation

virtual TorsionAngleContrib* ForceFields::MMFF::TorsionAngleContrib::copy | ( |  | ) | const
| inlinevirtual

return a copy

Implements ForceFields::ForceFieldContrib.

Definition at line 49 of file MMFF/TorsionAngle.h.

References ForceFields::MMFF::Utils::calcTorsionCosPhi(), ForceFields::MMFF::Utils::calcTorsionEnergy(), ForceFields::MMFF::Utils::calcTorsionForceConstant(), and ForceFields::MMFF::Utils::calcTorsionGrad().

double ForceFields::MMFF::TorsionAngleContrib::getEnergy | ( | double * | pos | ) | const
| virtual

returns our contribution to the energy of a position

Implements ForceFields::ForceFieldContrib.

void ForceFields::MMFF::TorsionAngleContrib::getGrad | ( | double * | pos,
|  | double * | grad
| ) |  | const
| virtual

calculates our contribution to the gradients of a position

Implements ForceFields::ForceFieldContrib.

The documentation for this class was generated from the following file:

- MMFF/TorsionAngle.h